Package org.apache.sysds.runtime.ooc.cache.packed

# Class OOCPackedCache.PackLease

java.lang.Object
org.apache.sysds.runtime.ooc.cache.packed.OOCPackedCache.PackLease

All Implemented Interfaces:
  `AutoCloseable`

Enclosing class:
  OOCPackedCache

public static final class OOCPackedCache.PackLease extends Object implements AutoCloseable

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`OOCPackedCache.PackGroup`
`group()`
`int`
`index(int slot)`
`int`
`size()`
`Object`
`value(int slot)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### group

public OOCPackedCache.PackGroup group()

### size

public int size()

### index

public int index(int slot)

### value

public Object value(int slot)

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`